<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from file_normalize.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="file_normalize" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>file_normalize</refname><refpurpose>Returns a unique normalized path.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   name : a 1-by-1 matrix of strings
   path : a 1-by-1 matrix of strings
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
Returns a unique normalized path representation for the
file-system object (file, directory, link, etc), whose string
value can be used as a unique identifier for it.
A normalized path
is an absolute path which has all '../', './' removed. Also it is one which
is in the ``standard'' format for the native platform.
On Windows or Mac, any platform-specific separator in the path
is replaced by the platform-independent separator "/".
On Windows it also means we want the long form with that form's
case-dependence (which gives us a unique, case-dependent path).
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
file_normalize ( "/foo/myfile.txt" )
expected = "/foo/bla/myfile.txt";
//
file_normalize ( "\foo\myfile.txt" )
expected = "/foo/bla/myfile.txt";
//
file_normalize ( "." )
expected = pwd()
//
file_normalize ( ".." )
//
file_normalize ( "../file.txt" )

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - DIGITEO - Michael Baudin</member>
   <member>Copyright (c) 2008 - Michael Baudin</member>
   <member>Copyright (c) 2008 - Arjen Markus</member>
   </simplelist>
</refsection>
</refentry>
